Call Vehicle Data API
This guide explains how Private Users call the Vehicle Data API.
Except for the authentication process, the Vehicle Data API is the same as the API for Business Users.
API URL
https://api.pleos.ai
Header
Use the following headers when calling the Vehicle Data API.
| Parameter | Type | Description | Required |
|---|---|---|---|
| Authorization | string | Bearer <ACCESS_TOKEN> | Required |
| Content-Type | string | application/json | Optional |
| Brand | string | Vehicle brand (hyundai/kia/genesis) | Required |
Calling the Vehicle Data API
Each Vehicle Data API can be called independently without a separate call order. However, you must issue an access token with your My Vehicle API key before calling the Vehicle Data API.
The following values must correspond to one another when calling the Vehicle Data API:
Brand: The vehicle manufacturer selected when issuing the access tokenAuthorization: The access token used to retrieve data for the vehicle manufacturer specified byBrandvin: The VIN of a vehicle manufactured by the vehicle manufacturer specified byBrand
-
Refer to Authorization and call the Private Users access token issuance API.
-
Call Get Vehicles (Private Users) to identify the
vinof the vehicle to query.curlcurl -X GET "https://api.pleos.ai/v1/vehicles/consent" \-H "Authorization: Bearer <ACCESS_TOKEN>" \-H "Brand: hyundai" \-H "Content-Type: application/json" -
Include the access token and the vehicle
vinin theAuthorizationheader and path parameter, respectively. -
Call the Vehicle Data API and check the result.
For example, call the following API to retrieve the vehicle's battery charging status.
curlcurl -X GET "https://api.pleos.ai/v1/vehicles/{vin}/batteries" \-H "Authorization: Bearer <ACCESS_TOKEN>" \-H "Content-Type: application/json" \-H "Brand: hyundai"
Response Messages
Response Envelope
Successful responses follow the format below.
{
"data": {
...
},
"meta": {
"code": 200,
"message": "Success",
"success": true,
"timestamp": "2026-07-03T10:00:00+09:00",
"requestId": "835bdbd4-1105-4a8c-b438-fa0873d1b246"
}
}
| Field | Type | Description |
|---|---|---|
| data | object | API-specific response data |
| meta | object | Response metadata |
| meta.code | number | Response code |
| meta.message | string | Response message |
| meta.success | boolean | Whether the request succeeded |
| meta.timestamp | string | Response time |
| meta.requestId | string | Request ID |
Error Response
Failed responses follow the format below.
{
"error": {
"code": "40001",
"message": "Invalid Parameters",
"requestId": "835bdbd4-1105-4a8c-b438-fa0873d1b246",
"details": [
{
"field": "identifier",
"issue": "must not be blank."
}
],
"timestamp": "2026-07-03T10:00:00+09:00"
}
}
| Field | Type | Description |
|---|---|---|
| error | object | Error information |
| error.code | string | Error code |
| error.message | string | Error message |
| error.requestId | string | Request ID |
| error.details | array | Error details |
| error.details.field | string | Field where the error occurred |
| error.details.issue | string | Error details for the field |
| error.timestamp | string | Time when the error occurred |
See Error Code for the list of error codes.